com.h3c.util.snmp

## Enum Usm.ErrorType

- java.lang.Object
- - java.lang.Enum<Usm.ErrorType>
  - - com.h3c.util.snmp.Usm.ErrorType

- All Implemented Interfaces:
    Serializable, Comparable<Usm.ErrorType>
  Enclosing class:
    Usm

      public static enum Usm.ErrorType
      extends Enum<Usm.ErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `USM_DECRYPTION_ERROR`
    `USM_INVALID_MSG`
    `USM_NO_ERROR`
    `USM_NOT_IN_TIME_WINDOW`
    `USM_UNKNOWN_ENGINE_ID`
    `USM_UNKNOWN_PDU_HANDLER`
    `USM_UNKNOWN_SECURITY_LEVEL`
    `USM_UNKNOWN_SECURITY_MODEL`
    `USM_UNKNOWN_USER_NAME`
    `USM_WRONG_DIGEST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Usm.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Usm.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USM_NO_ERROR

          public static final Usm.ErrorType USM_NO_ERROR

    - #### USM_UNKNOWN_SECURITY_LEVEL

          public static final Usm.ErrorType USM_UNKNOWN_SECURITY_LEVEL

    - #### USM_NOT_IN_TIME_WINDOW

          public static final Usm.ErrorType USM_NOT_IN_TIME_WINDOW

    - #### USM_UNKNOWN_USER_NAME

          public static final Usm.ErrorType USM_UNKNOWN_USER_NAME

    - #### USM_UNKNOWN_ENGINE_ID

          public static final Usm.ErrorType USM_UNKNOWN_ENGINE_ID

    - #### USM_WRONG_DIGEST

          public static final Usm.ErrorType USM_WRONG_DIGEST

    - #### USM_DECRYPTION_ERROR

          public static final Usm.ErrorType USM_DECRYPTION_ERROR

    - #### USM_UNKNOWN_SECURITY_MODEL

          public static final Usm.ErrorType USM_UNKNOWN_SECURITY_MODEL

    - #### USM_INVALID_MSG

          public static final Usm.ErrorType USM_INVALID_MSG

    - #### USM_UNKNOWN_PDU_HANDLER

          public static final Usm.ErrorType USM_UNKNOWN_PDU_HANDLER

  - ### Method Detail

    - #### values

          public static Usm.ErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Usm.ErrorType c : Usm.ErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Usm.ErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.